VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Multiple Files Demo by Brian"
   ClientHeight    =   2565
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6435
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   2565
   ScaleWidth      =   6435
   StartUpPosition =   3  'Windows Default
   Begin VB.ListBox List1 
      Height          =   2010
      Left            =   120
      TabIndex        =   2
      Top             =   420
      Width           =   4995
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   375
      Left            =   5280
      TabIndex        =   1
      Top             =   840
      Width           =   1035
   End
   Begin VB.CommandButton cmdOpen 
      Caption         =   "&Open..."
      Height          =   375
      Left            =   5280
      TabIndex        =   0
      Top             =   420
      Width           =   1035
   End
   Begin VB.Label Label1 
      Caption         =   "Click Open... and select multiple files"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   4995
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
' 28-May-2001
' Valid in VB 6 only!
' When using the Common Dialog control to select multiple files
' from the File Open dialog box, the FileName property of the
' Common Dialog control will return both the path and names of
' the selected files. If the Common Dialog control only allows
' long file names to be selected, the path and file names are
' returned in a null character delimited format, with the path
' listed first, and the files listed subsequently
' This sample shows you how to get the path and the selected files
' Demo by Brian Matumbura
' For comments email: brianm@zncc.co.zw
Private Sub cmdExit_Click()
  End
End Sub

Private Sub cmdOpen_Click()
  Dim strFileNames As Variant
  Dim i As Integer
  strFileNames = Split(GetFiles, Chr(0))
  With List1
    If UBound(strFileNames) > 0 Then
      .Clear
      'Path is stored in index 0 of array files in index 1...
      Label1.Caption = "Files selected from: " & strFileNames(0)
      For i = 1 To UBound(strFileNames)
        .AddItem strFileNames(i)
      Next
    Else
      .AddItem "(No files selected)"
    End If
  End With
End Sub

Public Function GetFiles(Optional ByVal sTitle As String = "Open files...") As String
  ' sTitle: Optional Title of Dialog
  Dim sFilenames As String
  Dim cdlOpen As Object
  On Error GoTo ProcError
  ' Get the desired name using the common dialog
  Set cdlOpen = CreateObject("MSComDlg.CommonDialog")
  ' set up the file open dialog file types
  With cdlOpen
    ' setting CancelError means the control will
    ' raise an error if the user clicks Cancel
    .CancelError = True
    .Filter = "All Files (*.*)|*.*|Text Files (*.txt)|*.*.txt|INI Files (*.ini)|*.ini|Images (*.bmp;*.jpg;*.gif)|*.bmp;*.jpg;*.gif"
    .FilterIndex = 1
    .DialogTitle = sTitle
    .MaxFileSize = &H7FFF ' 32KB filename buffer
    ' set up Common Dialog flags
    ' same as .Flags = cdlOFNHideReadOnly Or cdlOFNPathMustExist Or cdlOFNLongNames Or cdlOFNAllowMultiselect or cdlOFNExplorer
    .Flags = &H4 Or &H800 Or &H40000 Or &H200 Or &H80000
    .ShowOpen
    ' get the selected name
    sFilenames = .FileName
  End With
ProcExit:
  GetFiles = sFilenames
  Set cdlOpen = Nothing
  Exit Function
ProcError:
  If Err.Number = &H7FF3 Then Resume Next 'Cancel selected - Ignore
  MsgBox Err.Description & "(" & Err.Number & ")", vbExclamation, "Open error"
  sFilenames = ""
  Resume ProcExit
End Function